## octavia-dashboard 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

horizon>=13.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
openstacksdk>=0.11.2 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
octavia-dashboard (2.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Michal Arbet ]
  * Redesign octavia-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
      - Update copyright
  * Add use-policy-json-format.patch
  * Running wrap-and-sort -bast.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 18:27:49 +0100

octavia-dashboard (2.0.0-2.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Michal Arbet ]
  * d/control: Fix typo (Closes: #909477).

  [ Thomas Goirand ]
  * Add patch to install all files, and install static files correctly
    (Closes: #905037).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Oct 2018 22:56:44 +0200

octavia-dashboard (2.0.0-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:59:30 +0200

octavia-dashboard (2.0.0~rc3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Alexandros Afentoulis <alexaf.dpkg@bloom.re>  Wed, 29 Aug 2018 10:42:21 +0300

octavia-dashboard (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #901608).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 31 May 2018 10:46:01 +0100

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage,
 python3-django (<< 2:2),
 python3-django-nose (>= 1.4.4),
 python3-keystoneclient (>= 1:3.8.0),
 python3-nose-exclude (>= 0.3.0),
 python3-octavia,
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.policy,
 python3-oslotest (>= 3.2.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-stestr(>=2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia-dashboard
Homepage: https://github.com/openstack/octavia-dashboard.git

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-django (<< 2:2),
 python3-keystoneclient (>= 1:3.8.0),
 python3-openstacksdk (>= 0.11.2),
 python3-oslo.log (>= 3.36.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Generate missing policy file
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json \
		--format json \
		--namespace octavia

	# Move policy file
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/octavia_policy.json

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Move local_settings
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	# Remove config dirs from /usr/lib/python3/dist-packages/octavia__dashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/enabled
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test octavia_dashboard -v 2 --settings=octavia_dashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/octavia-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## octavia-dashboard 3.0.0

=== debian/changelog ===
octavia-dashboard (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:41:28 +0200

octavia-dashboard (3.0.0~rc1-2) experimental; urgency=medium

  * Removed python3- prefix when calling the config generators.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 23:45:32 +0200

octavia-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed openstacksdk min version.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 22:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -14,27 +14,27 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~rc2),
- python3-babel (>= 2.3.4),
- python3-barbicanclient (>= 4.5.2),
+ openstack-dashboard (>= 3:15.0.0~rc1),
+ python3-babel,
+ python3-barbicanclient,
  python3-coverage,
- python3-django (<< 2:2),
- python3-django-nose (>= 1.4.4),
- python3-keystoneclient (>= 1:3.8.0),
- python3-nose-exclude (>= 0.3.0),
+ python3-django,
+ python3-django-nose,
+ python3-keystoneclient,
+ python3-nose-exclude,
  python3-octavia,
- python3-openstacksdk (>= 0.11.2),
- python3-oslo.log (>= 3.36.0),
+ python3-openstacksdk (>= 0.24.0),
+ python3-oslo.log,
  python3-oslo.policy,
- python3-oslotest (>= 3.2.0),
- python3-selenium (>= 2.50.1),
- python3-six (>= 1.10.0),
- python3-stestr(>=2.0.0),
- python3-testscenarios (>= 0.4),
- python3-testtools (>= 2.2.0),
- python3-xvfbwrapper (>= 0.1.3),
+ python3-oslotest,
+ python3-selenium,
+ python3-six,
+ python3-stestr,
+ python3-testscenarios,
+ python3-testtools,
+ python3-xvfbwrapper,
  subunit,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia-dashboard.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia-dashboard
 Homepage: https://github.com/openstack/octavia-dashboard.git
@@ -42,14 +42,14 @@
 Package: python3-octavia-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~rc2),
- python3-babel (>= 2.3.4),
- python3-barbicanclient (>= 4.5.2),
- python3-django (<< 2:2),
- python3-keystoneclient (>= 1:3.8.0),
- python3-openstacksdk (>= 0.11.2),
- python3-oslo.log (>= 3.36.0),
- python3-six (>= 1.10.0),
+ openstack-dashboard (>= 3:15.0.0~rc1),
+ python3-babel,
+ python3-barbicanclient,
+ python3-django,
+ python3-keystoneclient,
+ python3-openstacksdk (>= 0.24.0),
+ python3-oslo.log,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Load Balance as a service - dashboard plugin

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy
 
 	# Generate missing policy file
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json \
 		--format json \
 		--namespace octavia

## octavia-dashboard 3.0.1

=== debian/changelog ===
octavia-dashboard (3.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point to tarballs.opendev.org. 
  * New stable point release for OpenStack Stein (LP: #1846931, LP: #1884028).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 23 Jun 2020 07:27:36 +0000

octavia-dashboard (3.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 12:37:05 +0000

octavia-dashboard (3.0.0-0ubuntu1) disco; urgency=medium

  * Upstream release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Apr 2019 11:37:38 +0100

octavia-dashboard (3.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 3.x series.
  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:06:12 +0000

octavia-dashboard (3.0.0~b1~git2019031917.c599f8e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 11:18:31 +0000

octavia-dashboard (3.0.0~b1~git2019013120.ad43b1f-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:56:56 -0500

octavia-dashboard (3.0.0~b1~git2018112016.4974576-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:05:55 -0500

octavia-dashboard (2.0.0-2.1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Add python3-django-horizon to (Build-)Depends. This is
      required because Rocky packages default to Python 2.7 (LP: #1800519).
    - d/rules, d/python3-octavia-dashboard.postinst, d/watch: Align dashboard
      install, post-install, and watch file with other OpenStack dashboard
      packages (LP: #1801091).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 13:41:36 -0500

octavia-dashboard (2.0.0-0ubuntu1.1) cosmic; urgency=medium

  * d/gbp.conf: Create stable/rocky branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 12:26:07 -0500

octavia-dashboard (2.0.0-0ubuntu1) cosmic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Rocky (LP: #1800516).
  * d/control: Add python3-django-horizon to (Build-)Depends. This is
    required because Rocky packages default to Python 2.7 (LP: #1800519).
  * d/p/remove-django-template-context-processors.patch: Dropped. No
    longer needed with 2.0.0 release.
  * d/rules, d/python3-octavia-dashboard.postinst, d/watch: Align dashboard
    install, post-install, and watch file with other OpenStack dashboard
    packages (LP: #1801091).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Oct 2018 14:29:02 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/octavia-dashboard octavia-dashboard-(3\.\d.*)\.tar\.gz

## octavia-dashboard 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-horizon>=13.0.0 # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-openstacksdk>=0.11.2 # Apache-2.0
+openstacksdk>=0.24.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4'  # BSD
sphinxcontrib-apidoc>=0.2.1 # BSD

# releasenotes
reno>=2.5.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
octavia-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:15:57 +0200

octavia-dashboard (4.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2019 10:43:49 +0200

octavia-dashboard (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Aug 2019 17:44:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -34,7 +34,7 @@
  python3-testtools,
  python3-xvfbwrapper,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia-dashboard.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia-dashboard
 Homepage: https://github.com/openstack/octavia-dashboard.git

## octavia-dashboard 5.0.0~b3~git2020041315.761408e

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 openstackdocstheme>=1.20.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
 sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4'  # BSD
 sphinxcontrib-apidoc>=0.2.1 # BSD

=== debian/changelog ===
octavia-dashboard (5.0.0~b3~git2020041315.761408e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:38:49 -0400

octavia-dashboard (5.0.0~b3~git2020032610.b96ac1a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:08:14 +0000

octavia-dashboard (5.0.0~b2~git2020021013.b96ac1a-0ubuntu2) focal; urgency=medium

  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:23:08 -0500

octavia-dashboard (5.0.0~b2~git2020021013.b96ac1a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 14:28:35 +0100

octavia-dashboard (5.0.0~b1~git2019121714.36b5649-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 14:10:29 -0500

octavia-dashboard (4.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:20:12 +0100

octavia-dashboard (4.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 4.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:58:36 -0400

octavia-dashboard (4.0.0~b2~git2019073114.3661294-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:14:59 -0400

octavia-dashboard (4.0.0~b2~git2019073114.3661294-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.
  * d/rules: Fix typo in DJANGO_SETTINGS_MODULE and add CLIENT_NAME.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:45:38 -0400

octavia-dashboard (4.0.0~b2~git2019073114.3661294-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 14:06:19 +0200

octavia-dashboard (4.0.0~b1~git2019061811.4b268b7-0ubuntu1) eoan; urgency=medium

  * New upstream release 4.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:15:40 +0100

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-nose-exclude (>= 0.3.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-openstacksdk (>= 0.24.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.1.5
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia-dashboard
Homepage: https://github.com/openstack/octavia-dashboard.git

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 0.24.0),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-django (>= 1:1.11),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=octavia_dashboard

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			CLIENT_NAME=octavia-dashboard \
			DJANGO_SETTINGS_MODULE=octavia_dashboard.tests.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test octavia_dashboard --settings=octavia_dashboard.tests.settings ; \
	done
endif

override_dh_clean:
	dh_clean
	find . -name '*pyc' -delete
	rm -f octavia_dashboard/tests/.secret_key_store
	rm -rf .coverage*
	rm -rf build
	rm -f AUTHORS ChangeLog

override_dh_install:
	# Activates the octavia_dashboard plugin in Horizon
	# octavia_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-octavia-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp -r $(CURDIR)/octavia_dashboard/enabled/_14* $(CURDIR)/debian/python3-octavia-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	dh_install

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/octavia-dashboard octavia-dashboard-(4\.\d.*)\.tar\.gz

## octavia-dashboard 5.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

horizon>=17.1.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
openstacksdk>=0.24.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0

=== debian/changelog ===
octavia-dashboard (5.0.0-0ubuntu0.20.04.3) focal; urgency=medium

  [ David Negreira ]
  * d/p/fix-popover-attributes.patch: Fix popover attributes in member add
    dialog. Using popovers in the member table is broken in chrome 114,
    because of their new "popover" feature (LP: #2024188).

 -- David Negreira <david.negreira@canonical.com>  Wed, 11 Oct 2023 13:28:37 +0000

octavia-dashboard (5.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Nicolas Bock ]
  * d/p/fix-updating-non-https-health-monitor.patch: Fix updating a non-HTTP(S)
    Health Monitor (LP: #2007720).

 -- Nicolas Bock <nicolas.bock@canonical.com>  Thu, 27 Jul 2023 17:50:29 +0000

octavia-dashboard (5.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 5.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:29:51 -0400

=== debian/control ===
--- 
+++ 
@@ -40,8 +40,8 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
 Standards-Version: 4.1.5
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/octavia-dashboard
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia-dashboard
 Homepage: https://github.com/openstack/octavia-dashboard.git
 
 Package: python3-octavia-dashboard

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/octavia-dashboard octavia-dashboard-(5\.\d.*)\.tar\.gz

## octavia-dashboard 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 horizon>=17.1.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-openstacksdk>=0.24.0 # Apache-2.0
+openstacksdk>=0.46.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0

=== debian/changelog ===
octavia-dashboard (6.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:09:49 +0200

octavia-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 15:39:49 +0200

octavia-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 20:45:48 +0200

octavia-dashboard (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:04:26 +0200

octavia-dashboard (5.0.0~rc2-1) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 17:25:28 +0200

octavia-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:03:50 +0200

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-babel,
 python3-barbicanclient,
 python3-coverage,
 python3-django,
 python3-django-nose,
 python3-keystoneclient (>= 1:3.22.0),
 python3-nose-exclude,
 python3-octavia,
 python3-openstacksdk (>= 0.46.0),
 python3-oslo.log,
 python3-oslo.policy,
 python3-oslotest,
 python3-selenium,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/octavia-dashboard
Homepage: https://github.com/openstack/octavia-dashboard.git

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-babel,
 python3-barbicanclient,
 python3-django,
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 0.46.0),
 python3-oslo.log,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Generate missing policy file
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json \
		--format json \
		--namespace octavia

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/conf/octavia_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/octavia_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/octavia_dashboard/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test octavia_dashboard -v 2 --settings=octavia_dashboard.tests.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## octavia-dashboard 7.0.0

=== debian/changelog ===
octavia-dashboard (7.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 16:32:18 +0000

octavia-dashboard (7.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:10:46 +0000

octavia-dashboard (7.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 7.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 26 Mar 2021 13:11:01 +0000

octavia-dashboard (6.0.0+git2021012814.1a29983-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:24:17 -0500

octavia-dashboard (6.0.0+git2020121016.bd5f48c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:06:18 -0500

octavia-dashboard (6.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:29:42 -0400

octavia-dashboard (6.0.0~rc2-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 6.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:26:23 -0400

octavia-dashboard (6.0.0~b3~git2020091410.570c51b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 10:37:46 +0000

octavia-dashboard (6.0.0~b2~git2020073015.8bc9329-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control, d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 15:58:04 -0400

octavia-dashboard (6.0.0~b1~git2020070215.323c3a7-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 15:23:29 -0400

octavia-dashboard (5.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 5.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:29:51 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/octavia-dashboard/ octavia-dashboard-(7\.\d.*)\.tar\.gz

## octavia-dashboard 7.0.1

=== debian/changelog ===
octavia-dashboard (7.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:06:14 +0000

octavia-dashboard (7.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:30:44 +0200

octavia-dashboard (7.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:40:29 +0200

octavia-dashboard (7.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:35:22 +0200

octavia-dashboard (7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:31:16 +0200

octavia-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 22:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,16 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard,
  python3-babel,
  python3-barbicanclient,
  python3-coverage,
  python3-django,
  python3-django-nose,
- python3-keystoneclient (>= 1:3.22.0),
+ python3-keystoneclient,
  python3-nose-exclude,
  python3-octavia,
- python3-openstacksdk (>= 0.46.0),
+ python3-openstacksdk (>= 0.53.0),
  python3-oslo.log,
  python3-oslo.policy,
  python3-oslotest,
@@ -41,17 +41,17 @@
 Package: python3-octavia-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard,
  python3-babel,
  python3-barbicanclient,
  python3-django,
- python3-keystoneclient (>= 1:3.22.0),
- python3-openstacksdk (>= 0.46.0),
+ python3-keystoneclient,
+ python3-openstacksdk (>= 0.53.0),
  python3-oslo.log,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack Load Balance as a service - dashboard plugin
  Openstack Load Balancer as a Service, codenamed Octavia was borne
  out of the Neutron LBaaS project. Its conception influenced

## octavia-dashboard 8.0.0

=== debian/changelog ===
octavia-dashboard (8.0.0-0ubuntu1~cloud2) focal-xena; urgency=medium

  [ David Negreira ]
  * d/p/fix-popover-attributes.patch: Fix popover attributes in member add
    dialog. Using popovers in the member table is broken in chrome 114,
    because of their new "popover" feature (LP: #2024188).

 -- David Negreira <david.negreira@canonical.com>  Thu, 12 Oct 2023 08:41:30 +0000

octavia-dashboard (8.0.0-0ubuntu1~cloud1) focal-xena; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Nicolas Bock ]
  * d/p/fix-updating-non-https-health-monitor.patch: Fix updating a non-HTTP(S)
    Health Monitor (LP: #2007720).

 -- Nicolas Bock <nicolas.bock@canonical.com>  Thu, 27 Jul 2023 18:44:21 +0000

octavia-dashboard (8.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 11:29:28 +0000

octavia-dashboard (8.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 8.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 11:50:25 -0400

octavia-dashboard (7.0.0+git2021090912.33c308d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:32:50 -0400

octavia-dashboard (7.0.0+git2021072117.7e39031-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:39:01 -0400

octavia-dashboard (7.0.0+git2021061405.90246aa-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:44 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/octavia-dashboard/ octavia-dashboard-(8\.\d.*)\.tar\.gz

## octavia-dashboard 8.0.1

=== debian/changelog ===
octavia-dashboard (8.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:07:12 +0000

octavia-dashboard (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:43:07 +0200

octavia-dashboard (8.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.
  * Refreshed use-policy-json-format.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 10:15:14 +0200

## octavia-dashboard 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 horizon>=17.1.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-openstacksdk>=0.46.0 # Apache-2.0
+openstacksdk>=0.53.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0

=== debian/changelog ===
octavia-dashboard (9.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 9.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:47:48 -0400

octavia-dashboard (8.0.0+git2022030314.d8b97e6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:23:41 -0500

octavia-dashboard (8.0.0+git2021120912.83267ea-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:28:38 -0500

=== debian/control ===
Source: octavia-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-coverage (>= 4.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-nose-exclude (>= 0.3.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.53.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia-dashboard
Homepage: https://opendev.org/openstack/octavia-dashboard

Package: python3-octavia-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-keystoneclient (>= 1:3.22.0),
 python3-openstacksdk (>= 0.53.0),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-django (>= 1:1.11),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balance as a service - dashboard plugin
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the OpenStack dashboard plugin.
